.bp3-tabs {
  .bp3-tab[aria-selected="true"] {
    color: #002C5F;
  }
  .bp3-tab {
    color: #000000  ;
  }
  &.bp3-vertical {
    .bp3-tab-list .bp3-tab-indicator-wrapper ~ .bp3-tab[aria-selected="false"] {
      box-shadow: inset 1px 0 0 #E0E0E0 !important;
    }
    &.tabs-standard {
      .bp3-tab-indicator-wrapper ~ .bp3-tab[aria-selected="false"],
      .bp3-large .bp3-tab-indicator-wrapper ~ .bp3-tab[aria-selected="false"],
      .bp3-large .bp3-tab[aria-selected="false"] {
        box-shadow: inset 1px 0 0 #E0E0E0 !important;
      }
    }
    & > .bp3-tab-list .bp3-tab[aria-selected="true"]:hover {
      color: #005EB8;
    }
    .bp3-tab-list .bp3-tab[aria-selected="true"] {
      box-shadow: inset 2px 0 0 #002C5F;
    }
    .bp3-tab-list .bp3-tab[aria-selected="false"] {
      box-shadow: inset 1px 0 0 #E0E0E0;
    }

    &.tabs-standard {
      .bp3-tab {
        background-color: #F5F5F5 !important;
      }
    }
    .bp3-tab-indicator-wrapper ~ .bp3-tab[aria-selected="false"] {
      box-shadow: none !important;
    }
    & > .bp3-tab-list {
      .bp3-tab-indicator-wrapper .bp3-tab-indicator {
        background-color: transparent;
        box-shadow: inset 2px 0px 0 #002C5F;
      }
      .bp3-tab[aria-selected="true"] {
        background-color: transparent;
      }
    }
    & > .bp3-tab-list {
      &.bp3-large {
        .bp3-tab {
          padding: 20px 16px;
        }
      }
      .bp3-tab {
        padding: 11px 12px;
        &::before {
          content: "";
          left: 0;
          right: 0;
          top: 0;
          bottom: -1px;
          position: absolute;
          border: 1px solid #E0E0E0;
          border-width: 1px 1px 1px 0;
        }
        &:last-child::before{
          bottom: 0;
        }
      }
    }
    .bp3-tab {
      &[aria-selected="false"]{
        box-shadow: none;
      }
      &[aria-disable="false"]{
        color: #000000;
      }
      &[aria-disable="true"] {
        color: #B2B2B2;
      }
    }
    & > .bp3-tab-list {
      &.bp3-large {
        .bp3-tab[aria-selected="true"] {
          &::after {
            content: "";
            position: absolute;
            top: 0;
            left: 0;
            bottom: 0;
            right: 0;
            border-left: 2px solid #002C5F;
          }
        }
      }
      .bp3-tab-indicator-wrapper ~ .bp3-tab::after {
        display: none
      }
    }
  }
  .bp3-tab {
    &:not([aria-disabled="true"]):hover {
      color: #005EB8;
    }
    &:focus {
      outline: none;
    }
    &-list {
      &.bp3-large {
        & > div {
          padding: 20px 16px;
        }
      }
      & > div {
        margin-right: 0;
        padding: 11px 12px;
        font-size: 16px;
        line-height: 20px;
      }
    }
    &[aria-disabled="true"] {
      color: #B2B2B2;
    }
  }
  &.tabs-standard:not(.bp3-vertical) {
    .bp3-tab-list > *:not(.bp3-tab-indicator-wrapper) {
      background-color: #F5F5F5 !important;
    }
  }
  .bp3-tab-indicator-wrapper {
    z-index: 1;
  }
  .bp3-tab[aria-selected="true"] {
    box-shadow: inset 0 -3px 0 #002C5F;
  }
  .bp3-tab[aria-selected="false"] {
    box-shadow: inset 0 -3px 0 #E0E0E0;
  }
  .bp3-tab-indicator-wrapper .bp3-tab-indicator {
    height: 3px;
  }
  .bp3-tab-indicator-wrapper ~ .bp3-tab[aria-selected="false"] {
    box-shadow: inset 0 -3px 0 #E0E0E0 !important
  }
  .bp3-large {
    .bp3-tab[aria-selected="true"] {
      box-shadow: inset 0 -3px 0 #002C5F;
    }
    .bp3-tab[aria-selected="false"] {
      box-shadow: inset 0 -3px 0 #E0E0E0;
    }
    .bp3-tab-indicator-wrapper .bp3-tab-indicator {
      height: 3px;
    }
    .bp3-tab-indicator-wrapper ~ .bp3-tab[aria-selected="false"] {
      box-shadow: inset 0 -3px 0 #E0E0E0 !important
    }
  }
}
